---
title: "Assign brand to organization"
url: "https://docs.signnow.com/docs/organization-branding/operations/put-v2-organizations-org_id-brand"
type: "endpoint"
section: "organization-branding"
slug: "organization-branding/operations/put-v2-organizations-org_id-brand"
method: "PUT"
path: "/v2/organizations/{organization_id}/brand"
operation_id: "put-v2-organizations-org_id-brand"
authorization: "bearer"
---

# Assign brand to organization

`PUT /v2/organizations/{organization_id}/brand`

This endpoint allows users to assign an organization brand to an organization. Only an admin or moderator of the organization can perform this action.

## Authorization

bearer

## Path Parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `organization_id` | string | Yes | ID of an organization. Must match the pattern: [a-z0-9]{40}. |

## Request Body

**Schema**

```json
{
  "type": "object",
  "required": [
    "brand_id"
  ],
  "properties": {
    "brand_id": {
      "type": "string",
      "example": "2274bf62786844e981584543275cdc0c88d67d45",
      "maxLength": 40,
      "minLength": 40,
      "description": "ID of the brand that should be default"
    }
  }
}
```

## Responses

### 201

Success

### 400

* Incorrect or missing token
* Request body is missing
* Incorrect payload
* `title` is not string
* `title` is empty
* `title` is longer than 40 characters

**Example** (`Empty title`)

```json
{
  "errors": [
    {
      "code": 25002034,
      "message": "Brand title must not be an empty string."
    }
  ]
}
```

**Example** (`title not string`)

```json
{
  "errors": [
    {
      "code": 25002031,
      "message": "Brand title must be a string."
    }
  ]
}
```

**Example** (`Incorrect payload`)

```json
{
  "errors": [
    {
      "code": 25002002,
      "message": "Invalid payload given."
    }
  ]
}
```

**Example** (`title is too long`)

```json
{
  "code": 25002073,
  "message": "Brand id length must be 40 characters."
}
```

**Example** (`Request body missing`)

```json
{
  "code": 25002033,
  "message": "Brand title is required."
}
```

**Example** (`Incorrect or missing token`)

```json
{
  "code": 1537,
  "error": "invalid_token"
}
```

### 403

* The user is authorized with a token from an app they don’t own.
* The brand is not an organization brand or a common brand.
* The user is neither admin, nor moderator of the organization.

**Example** (`User doesn't own the app`)

```json
{
  "code": 25002001,
  "message": "Brand action not allowed."
}
```

**Example** (`User not admin or moderator`)

```json
{
  "code": 25006002,
  "message": "Insufficient organization rights."
}
```

**Example** (`Not organization or common brand`)

```json
{
  "code": 25002026,
  "message": "Brand assignment is not allowed for provided entity."
}
```

### 404

The organization is not found.

**Example** (`Organization not found`)

```json
{
  "errors": [
    {
      "code": 25006001,
      "message": "Organization not found."
    }
  ]
}
```

## Code Examples

> Replace `$SIGNNOW_ACCESS_TOKEN` and any `{placeholder}` values before running.

### cURL

```bash
curl -X PUT \
  "https://api.signnow.com/v2/organizations/{organization_id}/brand" \
  -H "Authorization: Bearer $SIGNNOW_ACCESS_TOKEN" \
  -H "Content-Type: application/json"
```

---
*Full reference: https://docs.signnow.com/docs/organization-branding/operations/put-v2-organizations-org_id-brand*
